# grr adobe keeps on renumbering versions ... 
Epoch: 1

Summary: Macromedia Flash Player
Name: flash-plugin
%ifarch %{x86_64}
Version: 10.3.162.29
%else
Version: 10.2.153.1
%endif
Release: 1.slc5
License: Commercial
Group: Applications/Internet
URL: http://labs.adobe.com/downloads/flashplayer10.html
#for 64bit: http://labs.adobe.com/downloads/flashplayer10_64bit.html

Source0: libflashplayer.so-x86-10.2.153.1
Source1: libflashplayer.so-x86_64-10.3.162.29
Source2: flashplugin-lahf-fix.c

Source100: flash-plugin-readme.txt
Source101: flash-plugin-README
Source102: flash-plugin-LICENSE

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

ExclusiveArch: i386 x86_64
Obsoletes: mozilla-flash <= %{version}-%{release}
#Requires: %{_libdir}/mozilla/plugins/

# do not "strip" the binaries, makes standalone player crash
%define _enable_debug_packages 0
%define __spec_install_post /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip-comment-note %{nil}

%description
Macromedia Flash Player, Mozilla/Firefox-compatible plugin

By downloading and installing this package you agree to the LICENSE:
http://www.adobe.com/products/eulas/players/flash/

%prep

%build

%ifarch x86_64
gcc -fPIC -shared -nostdlib -lc -oflashplugin-lahf-fix.so %{SOURCE2}
%endif

%install
rm -rf %{buildroot}

# plugin
%ifarch x86_64
install -Dp -m0755 %{SOURCE1} %{buildroot}%{_libdir}/mozilla/plugins/libflashplayer.so
install -Dp -m0755 flashplugin-lahf-fix.so %{buildroot}%{_libdir}/mozilla/plugins/flashplugin-lahf-fix.so
%else
%ifarch i386
install -Dp -m0755 %{SOURCE0} %{buildroot}%{_libdir}/mozilla/plugins/libflashplayer.so
%endif
%endif

cp %{SOURCE100} readme.txt
cp %{SOURCE101} README
cp %{SOURCE102} LICENSE

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_libdir}/mozilla/plugins/*
%doc README LICENSE readme.txt

%changelog
* Fri Mar 25 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- different versions for 32 and 64 bit .. adobe keeps on making separate releases still ..

* Fri Oct  8 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.2.161.23
- update to preview 2 of 'square' player

* Fri Sep 19 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.2.161.22
- update to flash player 'square' preview version: we get 64 bit again !

* Fri Feb 19 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.45.2
- another update

* Fri Jan 22 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.42.34
- fixed build for x86_64

* Wed Dec 08 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.42.34
- Update to latest (still pre-release on x86_64)
- Added lahf fix for x86_64 build.

* Fri Sep 18 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.32.18
- Update to latest (still alpha/beta on x86_64)

* Tue Mar 31 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 10.0.22.87
- Update to version 10 (alpha/beta on x86_64)

* Wed Apr  9 2008 Jan Iven <jan.iven@cern.ch> - 9.0.124.0-1.slc4
- Update to 9.0.124:
   security fix for CVE-2007-5275, CVE-2007-6243, CVE-2007-6637, CVE-2007-6019, CVE-2007-0071, CVE-2008-1655, CVE-2008-1654

* Tue Jan 22 2008 Jan Iven <jan.iven@cern.ch> - 9.0.115.0-1.slc4
- Update to 9.0.115:
   security fix for CVE-2007-6242, CVE-2007- 4768, CVE-2007-5275, CVE-2007- 6243, CVE-2007- 6244, CVE-2007- 6245, CVE-2007-4324, CVE-2007- 6246, CVE-2007-5476
- Add standalone player
- remove flashplayer.xpt

* Thu Jul 12 2007 Jan Iven <jan.iven@cern.ch> - 9.0.48.0-1.slc4
- Update to 9.0.48.0, security fix: CVE-2007-3456,CVE-2007-3457,CVE-2007-2022

* Wed Jan 17 2007 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.0.31.0
- Updated to release version

* Wed Dec 13 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.0.21.78-beta
- Updated to BETA II Flash Player 9

* Thu Oct 19 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 9.0.21.55-beta
- Updated to BETA Flash Player 9

* Tue Sep 12 2006 Dag Wieers <dag@wieers.com> - 7.0.68-1
- Updated to release 7.0.68.
- Renamed package from mozilla-flash to flash-plugin.

* Wed Mar 15 2006 Dag Wieers <dag@wieers.com> - 7.0.63-1
- Updated to release 7.0.63.

* Sat Nov 26 2005 Dag Wieers <dag@wieers.com> - 7.0.61-1
- Updated to release 7.0.61.

* Sun Jun 27 2004 Dag Wieers <dag@wieers.com> - 7.0.25-1
- Initial package. (using DAR)
